Subject: Help with DEC/OSF

From: "Elena O'Connell" <[email-masked]>
Date: Thu, 25 May 1995 21:44:36 -1000 (HST)

I've been running the Linux port of wu-ftpd on my computer at home, and I 
just love it!  I've installed it on a DEC Internet AlphaServer 1000 here 
at hulanet, and everything works except that anonymous users can't 
perform "ls" or "dir".  Everything works for other users, but when an 
anonymous user tries to list a directory, nothing happens... no errors, 
no complaints, no directory... nothing!

I read the installation file - several times - and tried the following 
fixes:  I tried to use ldd to track down any shared libraries, but 
apparently DEC doesn't include ldd.  I tried, just for luck, to set it up 
like a Sun, but there is no ld.so or libc.so.* on the Alpha.  I then 
obtained the GNU sources for fileutils-3.12 and attempted to recompile ls 
with the CFLAGS and LDFLAGS set to -static.  No errors, no warnings... 
and it still doesn't work!  I've checked all the permissions several 
times, and all the binaries and directories are owned by root/system.

So... does anyone have a fix for me?  I'd either like to know what shared 
libraries I need to copy to the ftp hierarchy, or some instructions as to 
exactly how to recompile the ls binary and make it work.

I hope I can find some help... I think that the stock ftp daemon is a 
dog, and I'd hate to have to reinstall it!

Thanks!  Elena ([email-masked])

---

From: [email-masked]
Date: Sat, 27 May 95 09:34:07 PDT

On Sat, 27 May 95 10:45:05 EDT  Anthony D. Thomas wrote:
>Hi,
>
>
>I have not used the LINUX version fo wu-ftp.  But you are 
describing
>a problem that I have see on SGI platforms.  Check your "dev" 
directory
>in the anonymous home directory.  You should have a /dev/zero 
or /dev/null
>device.  I don't remember which just now.  If you do have them 

Linux doesn't need a /dev directory under the anonymous tree.

>At 09:44 PM 5/25/95 -1000, Elena O'Connell wrote:
>>
>>I've been running the Linux port of wu-ftpd on my computer at 
>>home, and I just love it!  I've installed it on a DEC 
>>Internet AlphaServer 1000 here at hulanet, and everything 
>>works except that anonymous users can't perform "ls" or 
>>"dir".  Everything works for other users, but when an 
>>anonymous user tries to list a directory, nothing happens... 
>>no errors, no complaints, no directory... nothing!

Make sure the 'ls' you are using is statically linked -- or 
make sure you have a /lib directory under the anonymous tree 
with the necessary dynamic libraries.  If ls is in the ~20k-30k 
size range, it is dynamically linked; it should be ~90-100k if 
it is statically linked.  If you don't have a statically linked 
ls, look at prep.ai.mit.edu, get the fileutils package and make 
ls static.

Alternative: if you can give me an ftp upload site, I will send 
you my operational static binary.  I suppose this is not the 
most secure for you, since I could have hacked the ls.  I 
haven't, but that is your call.

---------------
Michael Brennen                    Intecom, Inc.
[email-masked]               5057 Keller Springs
(214) 447-8074                     Dallas,  TX  75248